Delete a contact
DELETE
/api/v2/contacts/{id}
curl --request DELETE \ --url https://api.sipstack.com/api/v2/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
headers = {"x-api-key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'DELETE', url: 'https://api.sipstack.com/api/v2/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Soft-deletes the contact (contacts:write) — history and opt-out state are preserved. Idempotent; a second delete returns 404.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Contact deleted.
Media type application/json
object
success
boolean
message
string
Example
{ "message": "Contact deleted"}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}Contact not found in your organization.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}